function error=adapt_discrhs(x,x0,pars)
period=pars(1);cc=pars(2);vv=pars(3);beta=pars(4);
theta=pars(5);kappa=pars(6);tau=pars(7);sigma=pars(8);
% 1st order Extract the gridsize and the discretized variables
Nxi=size(x,1)/2;dxi=period/Nxi;u=x(1:Nxi);a=x(Nxi+1:end);
%Scaling the connectivity function due to delays ap=am=sigma if v=infinity.
ap=sigma*vv/(vv-cc);am=sigma*vv/(vv+cc);
%Compute effective exponential footprint
ww=[am*exp(-am*dxi*abs(-Nxi/2:-1)) .5*(am+ap) ap*exp(-ap*dxi*abs(1:Nxi/2-1))]/2;
%For a Gaussian the effective exponential footprint is
% ww=[am*exp(-am^2*dxi^2*abs(-Nxi/2:-1).^2) .5*(am+ap) ap*exp(-ap^2*dxi^2*abs(1:Nxi/2-1).^2)]/sqrt(pi);
% Derivative w.r.t. xi of u and a with central finite differences.
u_der=-cc*(u([2:end 1])-u([end 1:end-1]))/(2*dxi);
a_der=-cc*(a([2:end 1])-a([end 1:end-1]))/(2*dxi)*tau;
% Sigmoidal activation function
fu=1./(1+exp(-beta*(u'-theta))); 
% Spatial integral by convolution;
psi=real(ifft(fft(fftshift(ww)).*fft(fu)))*dxi;
% Compute the discretization error and the phase condition
error=[-u_der-u-a+psi';-a_der-a+kappa*u;(u'-x0(1:Nxi)')*u_der];

